%define prel rc3

Summary:	Data analysis and scientific plotting
Name:		qtiplot
Version:	0.9
Release:	%mkrel -c %{prel} 1
License:	GPL
Group:		Sciences/Other
Url:		http://soft.proindependent.com/qtiplot.html
Source0:	http://soft.proindependent.com/src/%{name}-%{version}%{prel}.tar.bz2
Patch0:		qtiplot-0.9rc3-compile-options.patch
# Automatically added by buildreq on Fri Dec 03 2004
BuildRequires:	qt4-devel libqwt-devel libqwtplot3d-devel gsl-devel icoutils
BuildRequires:	ImageMagick
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Data analysis and scientific plotting.
Free clone of Origin.

%prep
%setup -q -n %{name}-%{version}%{prel}
%patch0 -p0

%build
%{qt4dir}/bin/qmake %{name}.pro \
	%if "%{_lib}" != "lib"
		libsuff=64 \
	%endif
	-o Makefile
%make

%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=qtiplot
Comment=Data analysis and scientific plotting
Exec=qtiplot
Icon=qtiplot
Terminal=false
Type=Application
Categories=Qt;Science;DataVisualization;
StartupNotify=true
EOF

mkdir -p %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
convert -scale 48 qtiplot_logo.png %{buildroot}%{_liconsdir}/%{name}.png
convert -scale 32 qtiplot_logo.png %{buildroot}%{_iconsdir}/%{name}.png
convert -scale 16 qtiplot_logo.png %{buildroot}%{_miconsdir}/%{name}.png

mkdir -p %{buildroot}%{_iconsdir}/hicolor/16x16/apps/
convert -geometry 16x16 qtiplot_logo.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}/hicolor/32x32/apps/
convert -geometry 32x32 qtiplot_logo.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps/
convert -geometry 48x48 qtiplot_logo.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%clean
rm -rf %{buildroot}

%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc README.html gpl_licence.txt
%attr(755,root,root) %{_bindir}/qtiplot
%{_libdir}/qtiplot/plugins
%{_datadir}/applications/*.desktop
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Sat Jul 21 2007 Funda Wang <fundawang@mandriva.org> 0.9-0.rc3.1mdv2008.0
+ Revision: 54292
- fix build on x86_64
- fix desktop entry location
- use xdg menu item and icon theme
- SILNET: do not build python plugin
- Compile against system-wide libraries
- BR qt4 rather than qt3
- New version
- Correct tarball dir
  remove old menu
- Renew tarball

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to the latest version


* Sat Sep 16 2006 Stefan van der Eijk <stefan@mandriva.org> 0.8.7-1
- 0.8.7
- Mon Jul 24 2006 Saint-michel laurent <laurent.saintmichel@gmail.com> 0.8.5-1
- New release 0.8.5
- Update of the spec and adapt to XDG menu

* Thu Jan 26 2006 Lenny Cartier <lenny@mandriva.com> 0.7.7-1mdk
- 0.7.7

* Tue Jan 17 2006 Lenny Cartier <lenny@mandriva.com> 0.7.6-1mdk
- 0.7.6

* Wed Dec 21 2005 Lenny Cartier <lenny@mandriva.com> 0.7.5-1mdk
- 0.7.5

* Wed Dec 14 2005 Lenny Cartier <lenny@mandriva.com> 0.7.4-1mdk
- 0.7.4

* Wed Nov 16 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.2-1mdk
- New release 0.7.2

* Mon Oct 17 2005 Lenny Cartier <lenny@mandriva.com> 0.7-1mdk
- 0.7

* Mon Aug 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.6-1mdk
- New release 0.6.6

* Fri Jul 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.4-2mdk
- Rebuild

* Tue Jul 26 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.6.4-1mdk
- import to contrib with adaptions

* Wed Apr 06 2005 Olivier Lahaye <olivier.lahaye1@free.fr> 0.5.8-3.2mdk
- Added Desktop menus and icons.

* Wed Apr 06 2005 Olivier Lahaye <olivier.lahaye1@free.fr> 0.5.8-3.1mdk
- Upgrade to V 0.5.8-3

* Wed Mar 02 2005 Olivier Lahaye <olivier.lahaye1@free.fr> 0.5.6-1mdk
- Initial package

